<template>
  <div class="container">
    <TitlePage title="Photo"/>
        <hr>
    <div class="row12 d-flex justify-content-center align-content-center">
        <ul class="card_center card-center-photo d-flex flex-row flex-wrap justify-content-center" v-if="Albums != '' ">
            <li class="col-sm-6 col-md-4 col-lg-3 list-project-album" v-for="album in Albums" v-bind:key="album.name">
                <div class="card card_photo" v-if="album.show">
                    <img :src="album.presentation_image" :alt="album.name" style="width: 100%;" />
                    <div class="card-body">
                        <h5 class="card-title"> {{ album.name }} </h5>
                        <button v-on:click="photos(album)" class="btn btn-primary card_btn"> Voir les photos !</button>
                        <a :href="'/admin/albums/edit/'+album.id" class="btn btn-primary card_btn" v-if=" loggedIn == 'true'"> Ajouter des photos </a>
                    </div>
                </div>
            </li>
        </ul>
        <div v-else class="row12 d-flex justify-content-center align-content-center">
            <h4> Aucun album disponible </h4>
        </div>
    </div>
    <hr>
    <div class="findpenguins">
      <div class="findpenguins-media" findpgns-version="1" findpgns-embed="user"><a href="https://findpenguins.com/1y32naa89ontj" target="_top">Tuthur9 | FindPenguins</a></div><script type="application/javascript" async defer src="//findpenguins.com/js/embed.js"></script>
    </div>
  </div>
</template>

<style>
.findpenguins {
  display: flex;
  justify-content: center;
  align-content: center;
}
</style>

<script>
export default {
    data(){
        return {
            Albums:'',
        }
    },
    computed:{
        background: function(){
            return JSON.parse(this.$root.background)
        },
        loggedIn: function(){
            return this.$root.loggedIn
        }
    },
     created:function(){
        this.getAlbums();
    },
    methods:{
        photos:function(album){
            return this.$router.push({name:'photos', params: { album: album.id }});
        },
        getAlbums : function(){
            var vue = this;
            this.$axios({
                method: 'GET',
                url: '/getALbums',
                dataType:'JSON',}).then(response => {vue.Albums = response.data ;})
        },
    }
}
</script>
